--select [dbo].[FFCODICEFISCALE] ('DRGFG','','3333')
CREATE FUNCTION [dbo].[FFCODICEFISCALE]
(@COD_FISCALE varchar(16), @COD_MANDATO varchar(6), @PIVA_FIDUCIARIA varchar(11))
RETURNS varchar(16)
WITH EXEC AS CALLER
AS
BEGIN
DECLARE @cf VARCHAR(16)   
	IF (isnull(ltrim(rtrim(@COD_MANDATO)),'') <> '') 
			SET @cf = 'FF@'+ @COD_MANDATO
	ELSE IF (isnull(@COD_FISCALE,'') <> '')
			SET @cf = @COD_FISCALE
		 ELSE
	    	SET @cf = @PIVA_FIDUCIARIA	
	RETURN @cf
END